%define dist BSD-Resource
Name: perl-%dist
Version: 1.24
Release: alt2

Summary: BSD process resource limit and priority functions
License: distributable
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

Patch0: %name-1.24-alt-tests-prio-nice.patch
Patch1: %name-1.24-alt-tests-rlimit-newlim.patch

# Added by buildreq2 on Tue Jun 07 2005
BuildRequires: perl-devel

%description
A module providing an interface for testing and setting process
limits and priorities.

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README
%perl_vendor_archlib/BSD*
%perl_vendor_autolib/BSD*

%changelog
* Tue Jun 07 2005 Alexey Tourbin <at@altlinux.ru> 1.24-alt2
- fixed [sg]etpriority.t assumptions about current priority (cpan #13130)
- fixed setrlimit.t attemptes to increase hard limits (cpan #13131)
- manual pages not packaged (use perldoc)

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.24-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Mar 05 2004 Alexey Tourbin <at@altlinux.ru> 1.24-alt1
- 1.24

* Mon Oct 20 2003 Alexey Tourbin <at@altlinux.ru> 1.23-alt1
- 1.23
- disable [sg]etpriority tests as they assume current priority being zero

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 1.22-alt1
- 1.22

* Fri Nov 01 2002 Stanislav Ievlev <inger@altlinux.ru> 1.17-alt1
- Inital build for ALT
